Name:          proguard
Version:       4.6
Release:       %mkrel 1
Summary:       Java class file shrinker, optimizer, obfuscator, and preverifier
Group:         Development/Java
License:       GPL
Url:           http://proguard.sourceforge.net/
Source0:       http://sourceforge.net/projects/proguard/files/proguard/4.6/proguard4.6.tar.gz
Source1:       proguardgui.desktop
Source2:       proguard-script
Source3:       proguard-gui-script
Source4:       proguard-retrace-script
Source5:       http://repo2.maven.org/maven2/net/sf/proguard/proguard-parent/4.6/proguard-parent-4.6.pom
Source6:       http://repo2.maven.org/maven2/net/sf/proguard/proguard-anttask/4.6/proguard-anttask-4.6.pom
Source7:       http://repo2.maven.org/maven2/net/sf/proguard/proguard-base/4.6/proguard-base-4.6.pom
Source8:       http://repo2.maven.org/maven2/net/sf/proguard/proguard-gui/4.6/proguard-gui-4.6.pom
Source9:       http://repo2.maven.org/maven2/net/sf/proguard/proguard-retrace/4.6/proguard-retrace-4.6.pom
# req wtklib kenv 2.2
# http://repo2.maven.org/maven2/net/sf/proguard/proguard-wtk-plugin/4.6/proguard-wtk-plugin-4.6.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: desktop-file-utils
BuildRequires: imagemagick

Requires:      ant

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
ProGuard is a free Java class file shrinker, optimizer, obfuscator and 
preverifier. It detects and removes unused classes, fields, methods, and 
attributes. It optimizes bytecode and removes unused instructions. It 
renames the remaining classes, fields, and methods using short meaningless 
names. Finally, it preverifies the processed code for Java 6 or for Java 
Micro Edition.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}
Requires:      %{name} = %{version}-%{release}

%description manual
This package contains the manual for %{name}.

%prep
%setup -q -n proguard%{version}

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

sed -i '/class-path/I d' src/proguard/gui/MANIFEST.MF
sed -i '/class-path/I d' src/proguard/retrace/MANIFEST.MF

convert docs/favicon.ico proguard.png
cp -p proguard-0.png proguard48.png
cp -p proguard-1.png proguard32.png
cp -p proguard-2.png proguard16.png

%build

cd build
ant -Dant.jar=%{_javadir}/ant.jar basic anttask

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/proguard
install -pm 644 lib/proguard.jar %{buildroot}%{_javadir}/proguard/proguard-%{version}.jar
install -pm 644 lib/proguardgui.jar %{buildroot}%{_javadir}/proguard/proguardgui-%{version}.jar
install -pm 644 lib/retrace.jar %{buildroot}%{_javadir}/proguard/retrace-%{version}.jar

(
  cd %{buildroot}%{_javadir}/proguard
  ln -sf proguard-%{version}.jar proguard.jar
  ln -sf proguardgui-%{version}.jar proguardgui.jar
  ln -sf retrace-%{version}.jar retrace.jar
)

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE1} --mode=644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/proguardgui.desktop

mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{SOURCE2} %{buildroot}%{_bindir}/proguard
install -pm 755 %{SOURCE3} %{buildroot}%{_bindir}/proguardgui
install -pm 755 %{SOURCE4} %{buildroot}%{_bindir}/retrace

for png in 48 32 16; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${png}x${png}/apps/
  install -pm 644 proguard${png}.png %{buildroot}%{_datadir}/icons/hicolor/${png}x${png}/apps/proguard.png
done
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -sf %{_datadir}/icons/hicolor/32x32/apps/proguard.png %{buildroot}%{_datadir}/pixmaps/proguard.png
# pom
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE5} %{buildroot}%{_mavenpomdir}/JPP.proguard-parent.pom
sed -i "s|<module>proguard-wtk-plugin</module>|<!--module>proguard-wtk-plugin</module-->|" %{buildroot}%{_mavenpomdir}/JPP.proguard-parent.pom
%add_maven_depmap JPP.proguard-parent.pom
install -pm 644 %{SOURCE6} %{buildroot}%{_mavenpomdir}/JPP.proguard-anttask.pom
install -pm 644 %{SOURCE7} %{buildroot}%{_mavenpomdir}/JPP.proguard-base.pom
%add_to_maven_depmap net.sf.proguard proguard %{version} JPP/proguard proguard
%add_to_maven_depmap net.sf.proguard proguard-base %{version} JPP/proguard proguard
%add_to_maven_depmap net.sf.proguard proguard-anttask %{version} JPP/proguard proguard
install -pm 644 %{SOURCE8} %{buildroot}%{_mavenpomdir}/JPP.proguard-proguardgui.pom
%add_maven_depmap JPP.proguard-proguardgui.pom proguard/proguardgui.jar
install -pm 644 %{SOURCE9} %{buildroot}%{_mavenpomdir}/JPP.proguard-retrace.pom
%add_maven_depmap JPP.proguard-retrace.pom proguard/retrace.jar

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/proguardgui.desktop

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/proguard/*.jar
%{_bindir}/*
%{_datadir}/applications/proguardgui.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/pixmaps/proguard.png
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README examples

%files manual
%doc docs/*


%changelog

* Tue Nov 01 2011 gil <gil> 4.6-1.mga2
+ Revision: 160731
- imported package proguard

